Błąd podczas instalacji AimPanelu

Hey, dziś kiedy próbowałem zainstalować AimPanel przywitał mnie taki oto błąd:
http://wklej.to/alWtG
Tak wiem, że AimPanel ma osobne forum lecz tam nie mogę napisać tematu.

Spróbowałem zainstalować AimPanel na 2 Vps’ie instalacja przebiegła bez problemu. Oba Vps’y mają zainstalowanego debiana 7 dokładna wersja 7.11

Nie znam się na tym dobrze ale spróboj:

apt-get update

apt-get upgrade

I dopiero wtedy spróboj zainstalować AimPanel.

To jedne z pierwszych komend jakie wykonuje po instalacji systemu, poza tym w dokumentacji instalacji AimPanelu są te komendy, w skrócie użyłem ich przed oraz po. Po instalacji i poleceniu apt-get … jest błąd z tymi 2 linkami

Problem z DNS’ami lvlup’a Zmień DNS na serwery googla i jeszcze raz odpal komendy.

Zmieniłem, dalej to samo.

Cytaty z http://wklej.to/alWtG

Błąd http://ppa.launchpad.net wheezy/main Sources
404 Not Found
Błąd http://ppa.launchpad.net wheezy/main amd64 Packages
404 Not Found

jak to repo ubuntu bo tak podejrzewam to powinno być trusty zamiast wheezy

W: Nie udało się pobrać http://ppa.launchpad.net/webupd8team/java/ubuntu/dists/wheezy/main/source/Sources 404 Not Found

W: Nie udało się pobrać http://ppa.launchpad.net/webupd8team/java/ubuntu/dists/wheezy/main/binary-amd64/Packages 404 Not Found

E: Nie udało się pobrać niektórych plików indeksu, zostały one zignorowane lub użyto ich starszej wersji.

Tu też powinno być trusty zamiast wheezy

Czyli do edycji

 /etc/apt/sources.list

i zamiana tam gdzie są adresy z ubuntu podmiana trusty zamiast wheezy

Powinno pomóc o ile nic więcej nie pogrzebałeś w sources.list

Powodzenia :wink:

@LinGruby sources.list było nieruszane :slight_smile:

ale sprawdź bo tak podejrzewam że mogło się namieszać jak robiłeś install z add-apt-repository ppa: to się namieszało

deb http://debian.mirrors.ovh.net/debian/ wheezy main contrib non-free
deb-src http://debian.mirrors.ovh.net/debian/ wheezy main contrib non-free

deb http://security.debian.org/ wheezy/updates main
deb-src http://security.debian.org/ wheezy/updates main

zobacz czy tam masz pusto czy czegoś niema przypadkiem co powoduje błąd /etc/apt/sources.list.d/

aimpanel.list:
deb [arch=amd64] http://repo.aimpanel.pro/deb/wheezy wheezy main
webupd8team-java.list:
deb http://ppa.launchpad.net/webupd8team/java/ubuntu trusty main
deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu trusty main
Nie powinno być wheezy ?
webupd8team-java-wheezy.list:
deb http://ppa.launchpad.net/webupd8team/java/ubuntu wheezy main
deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu wheezy main
webupd8team-java-wheezy.list.save:
deb http://ppa.launchpad.net/webupd8team/java/ubuntu wheezy main
deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu wheezy main

Jest dobrze

tak jest dobrze, resztę popraw na trusty

Problem rozwiązany. Dzięki za pomoc @LinGruby

Proszę :wink:

Nie przypominam sobie aby Aimpanel dodawał/modyfikował repo z javą, musiałeś coś wcześniej już zmieniać w systemie.